@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans&display=swap')

@tailwind utilities

@import ../components/dbalbum

body
  @apply bg-gray-900 dark:bg-gray-900 text-md m-0
h1
  @apply text-xl
ul
  @apply p-0 list-none
h3
  @apply p-0 m-0 mb-3
a
  @apply no-underline

.layout-left
  @apply hidden
@screen md
  .layout-left
    @apply block

.CTE--text
  @apply inline-block
  min-width: 10px
  min-height: 1em
  :hover
    background-color: #ff7

.album-layout
  @apply grid
  grid-template-columns: 250px

.album-container
  @screen lg
    width: 1192px
  @screen 2xl
    width: 1292px

.songnb
  min-width: 1.5em
  @apply inline-block

.home-page .navbar .home,
.search-page .navbar .search,
.volumes-page .navbar .volumes,
.albums-page .navbar .albums,
.admin-page .navbar .admin
  @apply bg-gray-200

.btn
  @apply py-2 px-4 rounded

.btn-blue
  @apply bg-blue-500 text-white

.card
  @apply bg-gray-100
  h3
    .year
      @apply bg-gray-500

.dark
  @apply text-gray-200
  input
    @apply text-gray-400 bg-gray-800 p-2 text-md border-0 rounded
  .card
    @apply bg-gray-800
    h3
      .year
        @apply bg-gray-700
  nav.top
    @apply pt-2
    a
      @apply text-gray-000
  a.album
      @apply text-yellow-200

@layer utilities
  @layer utilities
    .filter-none
      filter: none
    .bg
      @apply bg-gray-800

.album-head-artist
  @apply pr-2 dark:text-blue-300

.screen-hidden
  clip: rect(0 0 0 0)
  height: 1
  margin: -1
  @apply absolute p-0 overflow-hidden
